Subject: bug#70526: 29.2; package-vc-upgrade failed with error message "File is not under version control"

From: Philip Kaludercic <[email-masked]>
Date: Tue, 23 Apr 2024 19:35:57 +0000

(unrelated, but why do your messages include HTML entities?)

"Yi Yue" <[email-masked]> writes:

> &gt; (or alternatively just binding buffer-file-name to nil after default-directory).
>
>
> Yes, this is simpler.

My main fear is that this might have some unintended consequences.

> &gt; but it feels like the fix should happen in vc.el, by being able to
> &gt; communicate that we the file set should be derived from the default
> &gt; directory, and the current file should be ignored...
>
> Maybe it is better, but I don't know what will happen if we
> change the implementation of `vc-deduce-fileset-1', I don't have
> much knowledge of vc.el.

I wouldn't want to rely on my understanding of vc either.  While it
would be easy to add a dynamic variable to indicate this behaviour, I am
careful not to overburden the abstractions that VC provides.

-- 
	Philip Kaludercic on peregrine